<script setup>
import { RouterView } from "vue-router";
</script>

<script>
export default {
    data() {
        return {
            product: {},
            isReady: false,
        };
    },
    created() {
        this.booted.helpers.http.send(this, {
            method: 'GET',
            path: 'product/product/' + this.$route.params.product_id,
        }).then((response) => {
            if (response.statusType === 'success') {
                response.json().then((body) => {
                    this.product = body;
                    this.isReady = true;
                });
            }
        });
    },
};
</script>

<template>
    <template v-if="isReady">
        <RouterView :product="product" />
    </template>
</template>
